Bug 207846 - graphics/graphite2: fails with "fatal error: 'graphite2/Types.h' file not found"
Summary: graphics/graphite2: fails with "fatal error: 'graphite2/Types.h' file not found"
Status: Closed Feedback Timeout
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: FreeBSD Office Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-09 16:33 UTC by mikea
Modified: 2018-01-10 14:54 UTC (History)
6 users (show)

See Also:
rakuco: maintainer-feedback? (office)


Attachments
log (13.63 KB, text/plain)
2016-03-09 16:50 UTC, Vladimir Omelchuk
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description mikea 2016-03-09 16:33:12 UTC
FreeBSD mikea.ath.cx 10.1-RELEASE FreeBSD 10.1-RELEASE #0: Sat Sep  5 16:18:18 CDT 2015     root@mikea.ath.cx:/usr/obj/usr/src/sys/AMD64-IPFW1+PF  amd64

This is essentially a virgin system, with a fresh ports tree ("portsnap fetch extract"). 

make of /usr/ports/www/firefox initially disclosed the problem: 

      1 Script started on Wed Mar  9 10:12:09 2016
      2 You have mail.
      3 mikea# make^M
      4 ===>   firefox-45.0_1,1 depends on package: nspr>=4.12 - found
      5 ===>   firefox-45.0_1,1 depends on package: nss>=3.21.1 - found
      6 ===>   firefox-45.0_1,1 depends on package: libevent2>=2.0.21_2 - found
      7 ===>   firefox-45.0_1,1 depends on package: soundtouch>=1.9.0 - found
      8 ===>   firefox-45.0_1,1 depends on package: harfbuzz>=1.1.0 - found
      9 ===>   firefox-45.0_1,1 depends on package: graphite2>=1.3.6 - not found
     10 ===>  License GPLv2 LGPL21 MPL accepted by the user
     11 ===>   graphite2-1.3.6 depends on file: /usr/local/sbin/pkg - found
     12 => graphite-1.3.6.tgz doesn't seem to exist in /usr/ports/distfiles/.
     13 => Attempting to fetch http://downloads.sourceforge.net/project/silgraphite/graphite2/graphite-1.3.6.tgz
     14 ^Mgraphite-1.3.6.tgz                              0% of 3790 kB    0  Bps^Mgraphite-1.3.6.tgz                              0% of 3790 kB  13
     14 9 kBps^Mgraphite-1.3.6.tgz                              8% of 3790 kB  304 kBps^Mgraphite-1.3.6.tgz                             18% of 3790 
     14 kB  374 kBps 00m13s^Mgraphite-1.3.6.tgz                             29% of 3790 kB  419 kBps 00m09s^Mgraphite-1.3.6.tgz                     
     14         44% of 3790 kB  585 kBps 00m06s^Mgraphite-1.3.6.tgz                             62% of 3790 kB  657 kBps 00m03s^Mgraphite-1.3.6.tgz 
     14                             79% of 3790 kB  661 kBps 00m01s^Mgraphite-1.3.6.tgz                             84% of 3790 kB  201 kBps 00m01s
     14 ^Mgraphite-1.3.6.tgz                             92% of 3790 kB  259 kBps 00m09s^Mgraphite-1.3.6.tgz                            100% of 3790
     14  kB  422 kBps 00m09s
     15 ===> Fetching all distfiles required by graphite2-1.3.6 for building
     16 ===>  Extracting for graphite2-1.3.6
     17 => SHA256 Checksum OK for graphite-1.3.6.tgz.
     18 ===>  Patching for graphite2-1.3.6
     19 ===>   graphite2-1.3.6 depends on file: /usr/local/bin/cmake - found
     20 ===>  Configuring for graphite2-1.3.6
     21 ===>  Performing in-source build
     22 /bin/mkdir -p /usr/ports/graphics/graphite2/work/graphite2-1.3.6
     23 -- The C compiler identification is Clang 3.4.1
     24 -- The CXX compiler identification is Clang 3.4.1
     25 -- Check for working C compiler: /usr/bin/cc
     26 -- Check for working C compiler: /usr/bin/cc -- works
     27 -- Detecting C compiler ABI info
     28 -- Detecting C compiler ABI info - done
     29 -- Check for working CXX compiler: /usr/bin/c++
     30 -- Check for working CXX compiler: /usr/bin/c++ -- works
     31 -- Detecting CXX compiler ABI info
     32 -- Detecting CXX compiler ABI info - done
     33 -- Build: Release
     34 -- Segment Cache support: enabled
     35 -- File Face support: enabled
     36 -- Tracing support: enabled
     37 -- Using vm machine type: direct
     38 -- Looking for sys/types.h
     39 -- Looking for sys/types.h - found
     40 -- Looking for stdint.h
     41 -- Looking for stdint.h - found
     42 -- Looking for stddef.h
     43 -- Looking for stddef.h - found
     44 -- Check size of size_t
     45 -- Check size of size_t - done
     46 -- Configuring done
     47 -- Generating done
     48 CMake Warning:
     49   Manually-specified variables were not used by the project:
     50 
     51     CMAKE_CXX_FLAGS_DEBUG
     52     CMAKE_C_FLAGS_DEBUG
     53     CMAKE_MODULE_LINKER_FLAGS
     54     THREADS_HAVE_PTHREAD_ARG
     55 
     56 
     57 -- Build files have been written to: /usr/ports/graphics/graphite2/work/graphite2-1.3.6
     58 ===>  Building for graphite2-1.3.6
     59 Scanning dependencies of target endiantest
     60 Scanning dependencies of target graphite2-base
     61 [  1%] Building CXX object tests/endian/CMakeFiles/endiantest.dir/endiantest.cpp.o
     62 Scanning dependencies of target graphite2-segcache
     63 [  2%] Building CXX object tests/CMakeFiles/graphite2-base.dir/__/src/FeatureMap.cpp.o
     64 In file included from /usr/ports/graphics/graphite2/work/graphite2-1.3.6/src/FeatureMap.cpp:29:
     65 /usr/ports/graphics/graphite2/work/graphite2-1.3.6/src/inc/Main.h:30:10: fatal error: 'graphite2/Types.h' file not found
     66 #include "graphite2/Types.h"
     67          ^
     68 Scanning dependencies of target graphite2
     69 [  3%] Building CXX object tests/CMakeFiles/graphite2-segcache.dir/__/src/call_machine.cpp.o
     70 /usr/ports/graphics/graphite2/work/graphite2-1.3.6/src/call_machine.cpp:37:10: fatal error: 'graphite2/Segment.h' file not found
     71 #include <graphite2/Segment.h>
     72          ^
     73 1 error generated.
     74 --- tests/CMakeFiles/graphite2-base.dir/__/src/FeatureMap.cpp.o ---
     75 *** [tests/CMakeFiles/graphite2-base.dir/__/src/FeatureMap.cpp.o] Error code 1
     76 
     77 make[5]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
     78 1 error
     79 
     80 make[5]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
     81 --- tests/CMakeFiles/graphite2-base.dir/all ---
     82 *** [tests/CMakeFiles/graphite2-base.dir/all] Error code 2
     83 
     84 make[4]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
     85 A failure has been detected in another branch of the parallel make
     86 
     87 make[5]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
     88 --- src/CMakeFiles/graphite2.dir/all ---
     89 *** [src/CMakeFiles/graphite2.dir/all] Error code 2
     90 
     91 make[4]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
     92 1 error generated.
     93 --- tests/CMakeFiles/graphite2-segcache.dir/__/src/call_machine.cpp.o ---
     94 *** [tests/CMakeFiles/graphite2-segcache.dir/__/src/call_machine.cpp.o] Error code 1
     95 
     96 make[5]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
     97 1 error
     98 
     99 make[5]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
    100 --- tests/CMakeFiles/graphite2-segcache.dir/all ---
    101 *** [tests/CMakeFiles/graphite2-segcache.dir/all] Error code 2
    102 
    103 make[4]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
    104 /usr/ports/graphics/graphite2/work/graphite2-1.3.6/tests/endian/endiantest.cpp:36:10: fatal error: 'inc/Endian.h' file not found
    105 #include "inc/Endian.h"
    106          ^
    107 1 error generated.
    108 --- tests/endian/CMakeFiles/endiantest.dir/endiantest.cpp.o ---
    109 *** [tests/endian/CMakeFiles/endiantest.dir/endiantest.cpp.o] Error code 1
    110 
    111 make[5]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
    112 1 error
    113 
    114 make[5]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
    115 --- tests/endian/CMakeFiles/endiantest.dir/all ---
    116 *** [tests/endian/CMakeFiles/endiantest.dir/all] Error code 2
    117 
    105 #include "inc/Endian.h"
    106          ^
    107 1 error generated.
    108 --- tests/endian/CMakeFiles/endiantest.dir/endiantest.cpp.o ---
    109 *** [tests/endian/CMakeFiles/endiantest.dir/endiantest.cpp.o] Error code 1
    110 
    111 make[5]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
    112 1 error
    113 
    114 make[5]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
    115 --- tests/endian/CMakeFiles/endiantest.dir/all ---
    116 *** [tests/endian/CMakeFiles/endiantest.dir/all] Error code 2
    117 
    118 make[4]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
    119 4 errors
    120 
    121 make[4]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
    122 *** [all] Error code 2
    123 
    124 make[3]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
    125 1 error
    126 
    127 make[3]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
    128 ===> Compilation failed unexpectedly.
    129 Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
    130 the maintainer.
    131 *** Error code 1
    132 
    133 Stop.
    134 make[2]: stopped in /usr/ports/graphics/graphite2
    135 *** Error code 1
    136 
    137 Stop.
    138 make[1]: stopped in /usr/ports/www/firefox
    139 *** Error code 1
    140 
    141 Stop.
    142 make: stopped in /usr/ports/www/firefox
    143 mikea# exit
    144 
    145 Script done on Wed Mar  9 10:12:26 2016

A make of /usr/ports/graphics/graphite2 by itself, after a "make distclean", also fails. Note: MAKE_JOBS_UNSAFE is set to yes for this. 
      1 Script started on Wed Mar  9 10:29:07 2016
      2 You have mail.
      3 mikea# env^M
      4 SCRIPT=typescript
      5 LANG=en_US.UTF-8
      6 PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
      7 DISPLAY=localhost:15.0
      8 TERM=xterm
      9 LC_COLLATE=C
     10 MAIL=/var/mail/root
     11 LOGNAME=root
     12 USER=root
     13 USERNAME=root
     14 HOME=/root
     15 SHELL=/bin/csh
     16 SUDO_COMMAND=/usr/bin/su
     17 SUDO_USER=mikea
     18 SUDO_UID=1001
     19 SUDO_GID=1001
     20 HOSTTYPE=FreeBSD
     21 VENDOR=amd
     22 OSTYPE=FreeBSD
     23 MACHTYPE=x86_64
     24 SHLVL=2
     25 PWD=/up/graphics/graphite2
     26 GROUP=wheel
     27 HOST=mikea.ath.cx
     28 REMOTEHOST=204.62.20.194
     29 EDITOR=vi
     30 PAGER=more
     31 BLOCKSIZE=K
     32 MAKE_JOBS_UNSAFE=yes
     33 mikea# make^M
     34 ===>  Building for graphite2-1.3.6
     35 [  1%] ESC[32mBuilding CXX object src/CMakeFiles/graphite2.dir/direct_machine.cpp.oESC[0m
     36 In file included from /usr/ports/graphics/graphite2/work/graphite2-1.3.6/src/direct_machine.cpp:42:
     37 ESC[1m/usr/ports/graphics/graphite2/work/graphite2-1.3.6/src/inc/Machine.h:35:10: ESC[0mESC[0;1;31mfatal error: ESC[0mESC[1m'graphite2/Types     37 .h' file not foundESC[0m
     38 #include <graphite2/Types.h>
     39 ESC[0;1;32m         ^
     40 ESC[0m1 error generated.
     41 *** Error code 1
     42 
     43 Stop.
     44 make[3]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
     45 *** Error code 1
     46 
     47 Stop.
     48 make[2]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
     49 *** Error code 1
     50 
     51 Stop.
     52 make[1]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
     53 *** Error code 1
     54 
     55 Stop.
     56 make: stopped in /usr/ports/graphics/graphite2
     57 mikea# exit
     58 
     59 Script done on Wed Mar  9 10:29:18 2016
Comment 1 Vladimir Omelchuk 2016-03-09 16:50:21 UTC
Created attachment 167927 [details]
log
Comment 2 Vladimir Omelchuk 2016-03-09 16:50:39 UTC
graphics/graphite2 build is fine (see log in attachment).

<uname>
FreeBSD 10.3-RC1 amd64
Comment 3 mikea 2016-03-09 16:59:10 UTC
(In reply to Vladimir Omelchuk from comment #2)

Thank you. Have you any suggestions to offer?
Comment 4 Vladimir Omelchuk 2016-03-09 17:12:12 UTC
(In reply to mikea from comment #3)

Update system to 10.2 (or 10.3 RC1) and update outdated ports, and try again.
Comment 5 Raphael Kubo da Costa freebsd_committer 2016-03-12 12:26:47 UTC
Over to maintainer.
Comment 6 Tijl Coosemans freebsd_committer 2016-03-14 10:25:57 UTC
Please run the following commands and post the output:

cd /usr/ports/graphics/graphite2
make clean
make VERBOSE=1
Comment 7 mikea 2016-03-14 14:49:29 UTC
      3 mikea# cd /usr/ports/graphics/graphite2^M
      4 mikea# makESC[ESC[ESC[ESC[KVmake cleaESC[ESC[ESC[ESC[ESCESC[ESC[ESC[ESC[ESC[K^G^Gmake cleaESC[ESC[ESC[ESC[ESCESC[ESC[ESC[ESC[Kmake clean^M
      5 ===>  Cleaning for graphite2-1.3.6
      6 mikea# make VERBOSE=1^M
      7 ===>  License GPLv2 LGPL21 MPL accepted by the user
      8 ===>   graphite2-1.3.6 depends on file: /usr/local/sbin/pkg - found
      9 ===> Fetching all distfiles required by graphite2-1.3.6 for building
     10 ===>  Extracting for graphite2-1.3.6
     11 => SHA256 Checksum OK for graphite-1.3.6.tgz.
     12 ===>  Patching for graphite2-1.3.6
     13 ===>   graphite2-1.3.6 depends on file: /usr/local/bin/cmake - found
     14 ===>  Configuring for graphite2-1.3.6
     15 ===>  Performing in-source build
     16 /bin/mkdir -p /usr/ports/graphics/graphite2/work/graphite2-1.3.6
     17 Re-run cmake no build system arguments
     18 -- The C compiler identification is Clang 3.4.1
     19 -- The CXX compiler identification is Clang 3.4.1
     20 -- Check for working C compiler: /usr/bin/cc
     21 -- Check for working C compiler: /usr/bin/cc -- works
     22 -- Detecting C compiler ABI info
     23 -- Detecting C compiler ABI info - done
     24 -- Check for working CXX compiler: /usr/bin/c++
     25 -- Check for working CXX compiler: /usr/bin/c++ -- works
     26 -- Detecting CXX compiler ABI info
     27 -- Detecting CXX compiler ABI info - done
     28 -- Build: Release
     29 -- Segment Cache support: enabled
     30 -- File Face support: enabled
     31 -- Tracing support: enabled
     32 -- Using vm machine type: direct
     33 -- Looking for sys/types.h
     34 -- Looking for sys/types.h - found
     35 -- Looking for stdint.h
     36 -- Looking for stdint.h - found
     37 -- Looking for stddef.h
     38 -- Looking for stddef.h - found
     39 -- Check size of size_t
     40 -- Check size of size_t - done
     41 -- Configuring done
     42 -- Generating done
     43 CMake Warning:
     44   Manually-specified variables were not used by the project:
     45 
     46     CMAKE_CXX_FLAGS_DEBUG
     47     CMAKE_C_FLAGS_DEBUG
     48     CMAKE_MODULE_LINKER_FLAGS
     49     THREADS_HAVE_PTHREAD_ARG
     50 
     51 
     52 -- Build files have been written to: /usr/ports/graphics/graphite2/work/graphite2-1.3.6
     53 ===>  Building for graphite2-1.3.6
     54 /usr/local/bin/cmake -H/usr/ports/graphics/graphite2/work/graphite2-1.3.6 -B/usr/ports/graphics/graphite2/work/graphite2-1.3.6 --check-build     54 -system CMakeFiles/Makefile.cmake 0
     55 /usr/local/bin/cmake -E cmake_progress_start /usr/ports/graphics/graphite2/work/graphite2-1.3.6/CMakeFiles /usr/ports/graphics/graphite2/wor     55 k/graphite2-1.3.6/CMakeFiles/progress.marks
     56 /usr/bin/make -f CMakeFiles/Makefile2 all
     57 --- src/CMakeFiles/graphite2.dir/all ---
     58 --- tests/CMakeFiles/graphite2-base.dir/all ---
     59 --- tests/CMakeFiles/graphite2-segcache.dir/all ---
     60 --- tests/endian/CMakeFiles/endiantest.dir/all ---
     61 --- src/CMakeFiles/graphite2.dir/all ---
     62 /usr/bin/make -f src/CMakeFiles/graphite2.dir/build.make src/CMakeFiles/graphite2.dir/depend
     63 --- tests/CMakeFiles/graphite2-base.dir/all ---
     64 /usr/bin/make -f tests/CMakeFiles/graphite2-base.dir/build.make tests/CMakeFiles/graphite2-base.dir/depend
     65 --- tests/CMakeFiles/graphite2-segcache.dir/all ---
     66 /usr/bin/make -f tests/CMakeFiles/graphite2-segcache.dir/build.make tests/CMakeFiles/graphite2-segcache.dir/depend
     67 --- tests/endian/CMakeFiles/endiantest.dir/all ---
     68 /usr/bin/make -f tests/endian/CMakeFiles/endiantest.dir/build.make tests/endian/CMakeFiles/endiantest.dir/depend
     69 --- tests/CMakeFiles/graphite2-base.dir/all ---
     70 --- tests/CMakeFiles/graphite2-base.dir/depend ---
     71 --- tests/endian/CMakeFiles/endiantest.dir/all ---
     72 --- tests/endian/CMakeFiles/endiantest.dir/depend ---
     73 --- tests/CMakeFiles/graphite2-segcache.dir/all ---
     74 --- tests/CMakeFiles/graphite2-segcache.dir/depend ---
     75 --- src/CMakeFiles/graphite2.dir/all ---
     76 --- src/CMakeFiles/graphite2.dir/depend ---
     77 --- tests/CMakeFiles/graphite2-base.dir/all ---
     78 cd /usr/ports/graphics/graphite2/work/graphite2-1.3.6 && /usr/local/bin/cmake -E cmake_depends "Unix Makefiles" /usr/ports/graphics/graphite     78 2/work/graphite2-1.3.6 /usr/ports/graphics/graphite2/work/graphite2-1.3.6/tests /usr/ports/graphics/graphite2/work/graphite2-1.3.6 /usr/port     78 s/graphics/graphite2/work/graphite2-1.3.6/tests /usr/ports/graphics/graphite2/work/graphite2-1.3.6/tests/CMakeFiles/graphite2-base.dir/Depen
     78 dInfo.cmake --color=
     79 --- tests/endian/CMakeFiles/endiantest.dir/all ---
     80 cd /usr/ports/graphics/graphite2/work/graphite2-1.3.6 && /usr/local/bin/cmake -E cmake_depends "Unix Makefiles" /usr/ports/graphics/graphite     80 2/work/graphite2-1.3.6 /usr/ports/graphics/graphite2/work/graphite2-1.3.6/tests/endian /usr/ports/graphics/graphite2/work/graphite2-1.3.6 /u     80 sr/ports/graphics/graphite2/work/graphite2-1.3.6/tests/endian /usr/ports/graphics/graphite2/work/graphite2-1.3.6/tests/endian/CMakeFiles/end     80 iantest.dir/DependInfo.cmake --color=
     81 --- tests/CMakeFiles/graphite2-segcache.dir/all ---
     82 cd /usr/ports/graphics/graphite2/work/graphite2-1.3.6 && /usr/local/bin/cmake -E cmake_depends "Unix Makefiles" /usr/ports/graphics/graphite     82 2/work/graphite2-1.3.6 /usr/ports/graphics/graphite2/work/graphite2-1.3.6/tests /usr/ports/graphics/graphite2/work/graphite2-1.3.6 /usr/port     82 s/graphics/graphite2/work/graphite2-1.3.6/tests /usr/ports/graphics/graphite2/work/graphite2-1.3.6/tests/CMakeFiles/graphite2-segcache.dir/D     82 ependInfo.cmake --color=
     83 --- src/CMakeFiles/graphite2.dir/all ---
     84 cd /usr/ports/graphics/graphite2/work/graphite2-1.3.6 && /usr/local/bin/cmake -E cmake_depends "Unix Makefiles" /usr/ports/graphics/graphite     84 2/work/graphite2-1.3.6 /usr/ports/graphics/graphite2/work/graphite2-1.3.6/src /usr/ports/graphics/graphite2/work/graphite2-1.3.6 /usr/ports/     84 graphics/graphite2/work/graphite2-1.3.6/src /usr/ports/graphics/graphite2/work/graphite2-1.3.6/src/CMakeFiles/graphite2.dir/DependInfo.cmake     84  --color=
     85 --- tests/endian/CMakeFiles/endiantest.dir/all ---
     86 Dependee "/usr/ports/graphics/graphite2/work/graphite2-1.3.6/tests/endian/CMakeFiles/endiantest.dir/DependInfo.cmake" is newer than depender     86  "/usr/ports/graphics/graphite2/work/graphite2-1.3.6/tests/endian/CMakeFiles/endiantest.dir/depend.internal".
     87 --- tests/CMakeFiles/graphite2-base.dir/all ---
     88 Dependee "/usr/ports/graphics/graphite2/work/graphite2-1.3.6/tests/CMakeFiles/graphite2-base.dir/DependInfo.cmake" is newer than depender "/     88 usr/ports/graphics/graphite2/work/graphite2-1.3.6/tests/CMakeFiles/graphite2-base.dir/depend.internal".
     89 --- tests/CMakeFiles/graphite2-segcache.dir/all ---
     90 Dependee "/usr/ports/graphics/graphite2/work/graphite2-1.3.6/tests/CMakeFiles/graphite2-segcache.dir/DependInfo.cmake" is newer than depende     90 r "/usr/ports/graphics/graphite2/work/graphite2-1.3.6/tests/CMakeFiles/graphite2-segcache.dir/depend.internal".
     91 --- src/CMakeFiles/graphite2.dir/all ---
     92 Dependee "/usr/ports/graphics/graphite2/work/graphite2-1.3.6/src/CMakeFiles/graphite2.dir/DependInfo.cmake" is newer than depender "/usr/por     92 ts/graphics/graphite2/work/graphite2-1.3.6/src/CMakeFiles/graphite2.dir/depend.internal".
     93 --- tests/CMakeFiles/graphite2-segcache.dir/all ---
     94 Dependee "/usr/ports/graphics/graphite2/work/graphite2-1.3.6/tests/CMakeFiles/CMakeDirectoryInformation.cmake" is newer than depender "/usr/     94 ports/graphics/graphite2/work/graphite2-1.3.6/tests/CMakeFiles/graphite2-segcache.dir/depend.internal".
     95 --- tests/endian/CMakeFiles/endiantest.dir/all ---
     96 Dependee "/usr/ports/graphics/graphite2/work/graphite2-1.3.6/tests/endian/CMakeFiles/CMakeDirectoryInformation.cmake" is newer than depender     96  "/usr/ports/graphics/graphite2/work/graphite2-1.3.6/tests/endian/CMakeFiles/endiantest.dir/depend.internal".
     97 --- src/CMakeFiles/graphite2.dir/all ---
     98 Dependee "/usr/ports/graphics/graphite2/work/graphite2-1.3.6/src/CMakeFiles/CMakeDirectoryInformation.cmake" is newer than depender "/usr/po     98 rts/graphics/graphite2/work/graphite2-1.3.6/src/CMakeFiles/graphite2.dir/depend.internal".
     99 --- tests/endian/CMakeFiles/endiantest.dir/all ---
    100 Scanning dependencies of target endiantest
    101 /usr/bin/make -f tests/endian/CMakeFiles/endiantest.dir/build.make tests/endian/CMakeFiles/endiantest.dir/build
    102 --- tests/CMakeFiles/graphite2-base.dir/all ---
    103 Dependee "/usr/ports/graphics/graphite2/work/graphite2-1.3.6/tests/CMakeFiles/CMakeDirectoryInformation.cmake" is newer than depender "/usr/    103 ports/graphics/graphite2/work/graphite2-1.3.6/tests/CMakeFiles/graphite2-base.dir/depend.internal".
    104 --- tests/endian/CMakeFiles/endiantest.dir/all ---
    105 --- tests/endian/CMakeFiles/endiantest.dir/endiantest.cpp.o ---
    106 [  1%] Building CXX object tests/endian/CMakeFiles/endiantest.dir/endiantest.cpp.o
    107 cd /usr/ports/graphics/graphite2/work/graphite2-1.3.6/tests/endian && /usr/bin/c++    -O2 -pipe -fPIC -fstack-protector -fno-strict-aliasing    107  -O2 -pipe -fPIC -fstack-protector -fno-strict-aliasing -o CMakeFiles/endiantest.dir/endiantest.cpp.o -c /usr/ports/graphics/graphite2/work/    107 graphite2-1.3.6/tests/endian/endiantest.cpp
    108 --- tests/CMakeFiles/graphite2-base.dir/all ---
    109 Scanning dependencies of target graphite2-base
    110 /usr/bin/make -f tests/CMakeFiles/graphite2-base.dir/build.make tests/CMakeFiles/graphite2-base.dir/build
    111 --- tests/CMakeFiles/graphite2-base.dir/__/src/FeatureMap.cpp.o ---
    112 [  2%] Building CXX object tests/CMakeFiles/graphite2-base.dir/__/src/FeatureMap.cpp.o
    113 cd /usr/ports/graphics/graphite2/work/graphite2-1.3.6/tests && /usr/bin/c++   -DGRAPHITE2_NTRACING -O2 -pipe -fPIC -fstack-protector -fno-st    113 rict-aliasing -O2 -pipe -fPIC -fstack-protector -fno-strict-aliasing   -Wall -Wextra -fno-rtti -fno-exceptions -fno-stack-protector -o CMake    113 Files/graphite2-base.dir/__/src/FeatureMap.cpp.o -c /usr/ports/graphics/graphite2/work/graphite2-1.3.6/src/FeatureMap.cpp
    114 --- tests/CMakeFiles/graphite2-segcache.dir/all ---
    115 Scanning dependencies of target graphite2-segcache
    116 /usr/bin/make -f tests/CMakeFiles/graphite2-segcache.dir/build.make tests/CMakeFiles/graphite2-segcache.dir/build
    117 --- tests/CMakeFiles/graphite2-base.dir/all ---
    118 In file included from /usr/ports/graphics/graphite2/work/graphite2-1.3.6/src/FeatureMap.cpp:29:
    119 /usr/ports/graphics/graphite2/work/graphite2-1.3.6/src/inc/Main.h:30:10: fatal error: 'graphite2/Types.h' file not found
    120 #include "graphite2/Types.h"
    121          ^
    122 --- tests/CMakeFiles/graphite2-segcache.dir/all ---
    123 --- tests/CMakeFiles/graphite2-segcache.dir/__/src/call_machine.cpp.o ---
    124 --- src/CMakeFiles/graphite2.dir/all ---
    125 Scanning dependencies of target graphite2
    126 /usr/bin/make -f src/CMakeFiles/graphite2.dir/build.make src/CMakeFiles/graphite2.dir/build
    127 --- tests/CMakeFiles/graphite2-segcache.dir/all ---
    128 [  3%] Building CXX object tests/CMakeFiles/graphite2-segcache.dir/__/src/call_machine.cpp.o
    129 cd /usr/ports/graphics/graphite2/work/graphite2-1.3.6/tests && /usr/bin/c++   -DGRAPHITE2_NTRACING -O2 -pipe -fPIC -fstack-protector -fno-st    129 rict-aliasing -O2 -pipe -fPIC -fstack-protector -fno-strict-aliasing   -Wall -Wextra -fno-rtti -fno-exceptions -fno-stack-protector -o CMake    129 Files/graphite2-segcache.dir/__/src/call_machine.cpp.o -c /usr/ports/graphics/graphite2/work/graphite2-1.3.6/src/call_machine.cpp
    130 --- tests/CMakeFiles/graphite2-base.dir/all ---
    131 1 error generated.
    132 *** [tests/CMakeFiles/graphite2-base.dir/__/src/FeatureMap.cpp.o] Error code 1
    133 
    134 make[3]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
    135 1 error
    136 
    137 make[3]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
    138 *** [tests/CMakeFiles/graphite2-base.dir/all] Error code 2
    139 
    140 make[2]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
    141 --- tests/CMakeFiles/graphite2-segcache.dir/all ---
    142 /usr/ports/graphics/graphite2/work/graphite2-1.3.6/src/call_machine.cpp:37:10: fatal error: 'graphite2/Segment.h' file not found
    143 #include <graphite2/Segment.h>
    144          ^
    145 --- src/CMakeFiles/graphite2.dir/all ---
    146 A failure has been detected in another branch of the parallel make
    147 
    148 make[3]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
    149 *** [src/CMakeFiles/graphite2.dir/all] Error code 2
    150 
    151 make[2]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
    152 --- tests/CMakeFiles/graphite2-segcache.dir/all ---
    153 1 error generated.
    154 *** [tests/CMakeFiles/graphite2-segcache.dir/__/src/call_machine.cpp.o] Error code 1
    155 
    156 make[3]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
    157 1 error
    158 
    159 make[3]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
    160 *** [tests/CMakeFiles/graphite2-segcache.dir/all] Error code 2
    161 
    162 make[2]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
    163 --- tests/endian/CMakeFiles/endiantest.dir/all ---
    164 /usr/ports/graphics/graphite2/work/graphite2-1.3.6/tests/endian/endiantest.cpp:36:10: fatal error: 'inc/Endian.h' file not found
    165 #include "inc/Endian.h"
    166          ^
    167 1 error generated.
    168 *** [tests/endian/CMakeFiles/endiantest.dir/endiantest.cpp.o] Error code 1
    169 
    170 make[3]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
    171 1 error
    172 
    173 make[3]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
    174 *** [tests/endian/CMakeFiles/endiantest.dir/all] Error code 2
    175 
    176 make[2]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
    177 4 errors
    155 
    156 make[3]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
    157 1 error
    158 
    159 make[3]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
    160 *** [tests/CMakeFiles/graphite2-segcache.dir/all] Error code 2
    161 
    162 make[2]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
    163 --- tests/endian/CMakeFiles/endiantest.dir/all ---
    164 /usr/ports/graphics/graphite2/work/graphite2-1.3.6/tests/endian/endiantest.cpp:36:10: fatal error: 'inc/Endian.h' file not found
    165 #include "inc/Endian.h"
    166          ^
    167 1 error generated.
    168 *** [tests/endian/CMakeFiles/endiantest.dir/endiantest.cpp.o] Error code 1
    169 
    170 make[3]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
    171 1 error
    172 
    173 make[3]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
    174 *** [tests/endian/CMakeFiles/endiantest.dir/all] Error code 2
    175 
    176 make[2]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
    177 4 errors
    178 
    179 make[2]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
    180 *** [all] Error code 2
    181 
    182 make[1]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
    183 1 error
    184 
    185 make[1]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
    186 ===> Compilation failed unexpectedly.
    187 Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
    188 the maintainer.
    189 *** Error code 1
    190 
    191 Stop.
    192 make: stopped in /usr/ports/graphics/graphite2
Comment 8 Tijl Coosemans freebsd_committer 2016-03-14 15:09:36 UTC
Do you set CXXFLAGS or other *FLAGS in /etc/make.conf maybe?
Comment 9 mikea 2016-03-15 14:10:53 UTC
Response to 
--- Comment #8 from Tijl Coosemans <tijl@FreeBSD.org> ---
--- Do you set CXXFLAGS or other *FLAGS in /etc/make.conf maybe?

Thank you for the question and your attention. 

/etc/make.conf does not exist, nor does /usr/local/etc/make.conf .
Comment 10 Jan Beich freebsd_committer 2016-03-18 19:19:48 UTC
Can you show versions of the installed packages (mainly cmake and old graphite2 if present)? Maybe check if USES+=gmake has any effect.
Comment 11 mikea 2016-03-22 15:46:21 UTC
Thanks for the note! 

USES+=gmake has no apparent effect. 

Current output from pkg inf; line numbers added by `less -N`. If this isn't sufficient, then please do let me know what more I can do. 

      1 DTraceToolkit-0.99_2           Collection of useful scripts for DTrace
      2 apr-1.5.2.1.5.4                Apache Portability Library
      3 binutils-2.25.1,1              GNU binary tools
      4 bison-2.7.1,1                  Parser generator from FSF, (mostly) compatible with Yacc
      5 cairo-1.14.6,2                 Vector graphics library with cross-device output support
      6 clang36-3.6.2                  C, Objective-C, and C++ compiler
      7 cmake-3.4.2                    Cross-platform Makefile generator
      8 cscope-15.8b                   Interactive C program browser
      9 cups-client-2.0.3_2            Common UNIX Printing System: Library cups
     10 curl-7.47.1                    Non-interactive tool to get files from FTP, GOPHER, HTTP(S) servers
     11 cyrus-sasl-2.1.26_12           RFC 2222 SASL (Simple Authentication and Security Layer)
     12 db5-5.3.28_3                   The Oracle Berkeley DB, revision 5.3
     13 freetype2-2.6.3                Free and portable TrueType font rendering engine
     14 fvwm-2.6.5_7                   Popular virtual window manager for X
     15 gbm-11.0.8                     gbm library
     16 gdbm-1.11_2                    GNU database manager
     17 gdk-pixbuf2-2.32.3             Graphic library for GTK+
     18 gnupg-2.1.11_1                 The GNU Privacy Guard
     19 gnutls-3.3.17.1_2              GNU Transport Layer Security library
     20 gsfonts-8.11_6                 Standard Fonts for Ghostscript
     21 gtk2-2.24.29                   Gimp Toolkit for X11 GUI (previous stable version)
     22 harfbuzz-1.2.3                 OpenType text shaping engine
     23 icu-55.1                       International Components for Unicode (from IBM)
     24 jasper-1.900.1_16              Implementation of the codec specified in the JPEG-2000 standard
     25 jbigkit-2.1_1                  Lossless compression for bi-level images such as scanned pages, faxes
     26 jpeg-turbo-1.4.2               SIMD-accelerated JPEG codec which replaces libjpeg
     27 jsoncpp-0.6.0.r2_2             JSON reader and writer library for C++
     28 ldb-1.1.24                     LDAP-like embedded database
     29 leafnode-1.11.11               NNTP package for offline news caching and reading
     30 libEGL-11.0.8                  OpenEGL library
     31 libGL-11.0.8                   OpenGL library that renders using GLX or DRI
     32 libarchive-3.1.2_6,1           Library to create and read several streaming archive formats
     33 libclc-0.1.0.20150710          Required library functions for OpenCL C programming language
     34 libdevq-0.0.2_1                Generic Device Query and Monitor interface
     35 libdrm-2.4.66,1                Userspace interface to kernel Direct Rendering Module services
     36 libedit-3.1.20150325_1         Command line editor library
     37 libevent2-2.0.22_1             API for executing callback functions on events or timeouts
     38 libgpg-error-1.21              Common error values for all GnuPG components
     39 libiconv-1.14_9                Character set conversion library
     40 libpci-3.4.1                   PCI configuration space I/O made easy
     41 llvm36-3.6.2_2                 Low Level Virtual Machine
     42 lzo2-2.09                      Portable speedy, lossless data compression library
     43 m4-1.4.17_1,1                  GNU m4
     44 metamail-2.7_11                Implementation of MIME, the Multipurpose Internet Mail Extensions
     45 moreutils-0.58                 Additional Unix utilities
     46 mutt-1.5.24_4                  The Mongrel of Mail User Agents (development version)
     47 nasm-2.11.08_1,1               General-purpose multi-platform x86 and amd64 assembler
     48 ninja-1.6.0,2                  Ninja is a small build system closest in spirit to Make
     49 nspr-4.12                      Platform-neutral API for system level and libc like functions
     50 nss-3.23                       Libraries to support development of security-enabled applications
     51 ntp-4.2.8p6                    The Network Time Protocol Distribution
     52 openldap-client-2.4.44         Open source LDAP client implementation
     53 p5-IO-Tty-1.12_1               Flexible I/O Perl5 module that allows manipulation of pseudo-TTYs
     54 p5-IPC-Run-0.94                IPC::Run - Run subprocesses with piping and redirection
     55 p5-Parse-Pidl-4.3.3            IDL compiler written in Perl
     56 p5-Parse-Yapp-1.05_1           Perl extension for generating and using LALR parsers
     57 pciutils-3.4.1                 PCI configuration utilities
     58 perl5-5.20.3_8                 Practical Extraction and Report Language
     59 pinentry-0.9.7                 Collection of simple PIN or passphrase entry dialogs
     60 png-1.6.21                     Library for manipulating PNG images
     61 popt-1.16_1                    Getopt(3) like library with a number of enhancements, from Redhat
     62 procmail-3.22_8                Local mail delivery agent
     63 py27-Babel-2.2.0_1             Collection of tools for internationalizing Python applications
     64 py27-Jinja2-2.8                Fast and easy to use stand-alone template engine
     65 py27-MarkupSafe-0.23           Implements XML/HTML/XHTML Markup safe string for Python
     66 py27-alabaster-0.7.6           Modified Kr Sphinx theme
     67 py27-dnspython-1.12.0          DNS toolkit for Python
     68 py27-docutils-0.12             Python Documentation Utilities
     69 py27-pygments-2.1              Syntax highlighter written in Python
     70 py27-pystemmer-1.3.0_1         Snowball Stemming Algorithms for Information Retrieval
     71 py27-pytz-2015.7,1             World Timezone Definitions for Python
     72 py27-setuptools27-20.0         Python packages installer
     73 py27-six-1.10.0                Python 2 and 3 compatibility utilities
     74 py27-snowballstemmer-1.2.0_1   Snowball stemming library collection for Python
     75 py27-sphinx-1.3.1_2            Python documentation generator
     76 py27-sphinx_rtd_theme-0.1.9    Mobile-friendly py-sphinx theme
     77 python2-2_3                    The "meta-port" for version 2 of the Python interpreter
     78 rsync-3.1.2_1                  Network file distribution/synchronization utility
     79 samba36-3.6.25_3               Free SMB and CIFS client and server for Unix
     80 soundtouch-1.9.2               Open-source audio processing library
     81 sqlite3-3.10.2_2               SQL database engine in a C library
     82 talloc-2.1.5                   Hierarchical pool based memory allocator
     83 tdb-1.3.8,1                    Trivial Database
     84 tevent-0.9.26                  Talloc based event loop library
     85 tiff-4.0.6_1                   Tools and library routines for working with TIFF images
     86 tin-2.3.2                      Easy-to-use threaded newsreader with NOV/NNTP support
     87 urlview-0.9.20131021           URL extractor/launcher
     88 vim-7.4.1229_1                 Improved version of the vi editor
     89 zip-3.0_1                      Create/update ZIP files compatible with PKZIP
Comment 12 chadf 2016-03-24 06:43:25 UTC
Check that your cmake-x.x.x and cmake-modules-x.x.x versions are in sync (but cmake-modules seemed to be missing in your pkg list -- not sure how that's possible). I've been burned by this mismatch a couple times now after reinstalling cmake (including this same graphite2 error). Ideally the ports system would have an option to make sure such paired packages always match versions, as I've noticed multiple ports that do that.
Comment 13 mikea 2016-03-24 15:10:29 UTC
Thanks very much for the note. 

cmake was old (2.8.something), and cmake-modules indeed was not installed; how that last happened I don't know. Both are installed now: 
$ pkg info | grep -i cmake
cmake-3.4.2                    Cross-platform Makefile generator
cmake-modules-3.4.2            Modules and Templates for CMake

make now gives me this, even with the environment variable set: 

====================
mikea# setenv CMAKE_C_STANDARD_COMPUTED_DEFAULT Clang
mikea# make
===>  Building for graphite2-1.3.6
CMake Error at /usr/local/share/cmake/Modules/Compiler/Clang-C.cmake:23 (message):
  CMAKE_C_STANDARD_COMPUTED_DEFAULT should be set for Clang (/usr/bin/cc)
  version 3.4.1
Call Stack (most recent call first):
  /usr/local/share/cmake/Modules/CMakeCInformation.cmake:33 (include)
  CMakeLists.txt:5 (project)

-- Configuring incomplete, errors occurred!
See also "/usr/ports/graphics/graphite2/work/graphite2-1.3.6/CMakeFiles/CMakeOutput.log".
*** [cmake_check_build_system] Error code 1

make[1]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
1 error

make[1]: stopped in /usr/ports/graphics/graphite2/work/graphite2-1.3.6
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1

Stop.
make: stopped in /usr/ports/graphics/graphite2

=================

The contents of /usr/ports/graphics/graphite2/work/graphite2-1.3.6/CMakeFiles/CMakeOutput.log don't show anything obvious. I can, if you would like to see it, put it in a comment here. 

I think we are getting close to a solution.
Comment 14 chadf 2016-03-24 16:42:31 UTC
Did you also try without manually setting CMAKE_C_STANDARD_COMPUTED_DEFAULT?
Also, if that still doesn't help, you might try uninstalling clang36, in case it is confusing cmake with the system (/usr/bin) compiler.
Comment 15 Walter Schwarzenfeld freebsd_triage 2018-01-10 13:40:07 UTC
10.1-RELEASE is gone. I think this could be closed.